Groovy Documentation

## org.codehaus.groovy.grails.orm.hibernate.cfg
[Java] Class DefaultGrailsDomainConfiguration

    java.lang.Object
      org.hibernate.cfg.Configuration
          org.codehaus.groovy.grails.orm.hibernate.cfg.DefaultGrailsDomainConfiguration

All Implemented Interfaces:
  GrailsDomainConfiguration

    public class DefaultGrailsDomainConfiguration
    extends Configuration

Creates runtime configuration mapping for the Grails domain classes based on the work done in the Hibernate Annotations project

Authors:
  Graeme Rocher

Since:
  06-Jul-2005

Method Summary
`GrailsDomainConfiguration` | `addDomainClass(GrailsDomainClass domainClass)`
`static void` | `configureDomainBinder(GrailsApplication grailsApplication, java.util.Set domainClasses)`
`protected void` | `secondPassCompile()` Overrides the default behaviour to including binding of Grails domain classes.
`void` | `setGrailsApplication(GrailsApplication application)`

Method Detail

### addDomainClass

    public GrailsDomainConfiguration addDomainClass(GrailsDomainClass domainClass)

### configureDomainBinder

    public static void configureDomainBinder(GrailsApplication grailsApplication, java.util.Set domainClasses)

### secondPassCompile

    @Override
    protected void secondPassCompile()

  Overrides the default behaviour to including binding of Grails domain classes.

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication application)

Groovy Documentation